package com.uas.platform.home.controller;

import org.springframework.stereotype.Controller;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import com.uas.account.entity.UserView;
import com.uas.platform.home.core.support.SystemSession;

@Controller
@RequestMapping("/saas")
public class SaasController {

	@RequestMapping("/about")
	public ModelAndView getSaasPage() {
		UserView user = SystemSession.getUser();
		if (null == user || StringUtils.isEmpty(user.getSpaceDomain())) {
			// TODO:考虑场景：
			// 张三绑定了企业A、B和C，A、B企业开通了saas、b2b，C企业只开通了b2b
			// 张三如果先登录并选择了企业C，此时spaceDomain无值表示企业C还没开通saas，就会跳转为企业C开通saas的页面
			// 如果先登录并选择了企业B，此时就直接跳转B的saas账套
			// 是否允许张三在saas里面直接切换到企业A？

			// 未登录或未注册saas，saas简介页面
			return new ModelAndView("saas_about");
		} else {
			// TODO:可能情况：企业虽然开了saas，但个人账号并没开（历史数据问题），要调账户中心接口先判断？

			// 直接跳转saas主页
			return new ModelAndView(String.format("redirect:http://%s.saas.ubtob.com", user.getSpaceDomain()));
		}
	}
}
